Package Details: fdiff 3.0.0-2

Git Clone URL: https://aur.archlinux.org/fdiff.git (read-only, click to copy)
Package Base: fdiff
Description: An OpenType table diff tool for fonts based on the fontTools TTX format
Upstream URL: https://github.com/source-foundry/fdiff
Licenses: MIT
Submitter: alerque
Maintainer: alerque
Last Packager: alerque
Votes: 1
Popularity: 0.000000
First Submitted: 2020-03-30 08:33 (UTC)
Last Updated: 2021-12-13 19:14 (UTC)

Latest Comments

alerque commented on 2021-05-21 09:19 (UTC)

@multigreen213 Those need to be updated in your system, not this package. Current versions that satisfy the dependencies are available in [community] for python-aiodns and python-rich. The [community] version of python-fonttoolsa is routinely out of date and often takes a couple weeks after flagging for anybody to get to it. There isn't much I can do about that (yet, I'm trying to become a TU so that I can help with some under-maintained packages like that). In the mean time you can either hold this package back until the dependency is met or install python-fonttools-git. Fulfilling bleeding edge requirements when the release version falls behind is the main reason I created that package.

multigreen213 commented on 2021-05-20 14:06 (UTC) (edited on 2021-05-20 14:07 (UTC) by multigreen213)

The update from 2.1.5-1 to 2.2.0-1 breaks due to unsatisfied dependencies, namely:

unable to satisfy dependency 'python-aiodns>=3.0.0' required by fdiff
unable to satisfy dependency 'python-fonttools>=4.23.1' required by fdiff
unable to satisfy dependency 'python-rich>=10.2.0' required by fdiff

These dependencies should be updated to the required versions.